<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SSI.php.');

if((SMF == 'SSI') && !$user_info['is_admin'])
	die('Admin priveleges required.');

if(SMF == 'SSI')
	db_extend('packages');

// Create the table
$smcFunc['db_create_table'] ('{db_prefix}member_notes', 
	array(
		array(
			'name' => 'id_note', 
			'type' => 'mediumint', 
			'size' => 8, 
			'null' => false,
			'unsigned' => true, 
			'auto' => true,
		),
		array(
			'name' => 'id_member', 
			'type' => 'mediumint', 
			'size' => 8, 
			'null' => false,
			'unsigned' => true, 
		),
		array(
			'name' => 'subject', 
			'type' => 'tinytext', 
			'null' => false,
		),
		array(
			'name' => 'body', 
			'type' => 'mediumtext', 
			'null' => false,
		),
	),
	array(
		array(
			'name' => 'id_note',
			'type' => 'primary',
			'columns' => array('id_note'),
		),
	),
	array(),
	'ignore');

// Add to the settings table
$smcFunc['db_insert']('ignore',
	'{db_prefix}settings',
	array('variable' => 'string', 'value' => 'int'),
	array(
		array('notepad_enable_use', '1'),
		array('notepad_max_notes', '0'),
		array('notepad_menu_pos', '7'),
		array('notepad_parent_menu', '0'),
	),
	array('variable')
);

// Add permission for all member groups
$request = $smcFunc['db_query']('', '
	SELECT id_group
	FROM {db_prefix}membergroups
	WHERE id_group != 1',
	array(
	)
);

$rowdata = array();
$rowdata[] = array('use_notepad', 0, 1);

while($row = $smcFunc['db_fetch_assoc']($request))
	$rowdata[] = array('use_notepad', (int) $row['id_group'], 1);
$smcFunc['db_free_result']($request);

$smcFunc['db_insert']('ignore','
	{db_prefix}permissions',
	array(
		'permission' => 'string', 'id_group' => 'int', 'add_deny' => 'int',
	),
	$rowdata,
	array('permission', 'id_group')
);

if(SMF == 'SSI')
	echo 'The database updates for the Member Notepad mod are complete!';
	
?>